Bug 1282494 - CVE-2015-8106 latex2rtf: Format string vulnerability in CmdKeywords [epel-all]
CVE-2015-8106 latex2rtf: Format string vulnerability in CmdKeywords [epel-all]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: latex2rtf (Show other bugs)
el6
All Linux
high Severity high
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
fst_owner=dcafaro
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-8106
  Show dependency treegraph
 
Reported: 2015-11-16 10:21 EST by Adam Mariš
Modified: 2016-04-22 13:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: latex2rtf-2.3.10-1.el7 latex2rtf-2.3.10-1.el6.1
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-16 14:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-16 10:21:44 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.
    
[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-11-16 10:21:50 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1282492,1282494

# Description of your update
notes=Security fix for CVE-2015-8106

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1282492,1282494
Comment 2 David A. Cafaro 2016-03-16 08:52:21 EDT
Suggested upstream fix:

http://seclists.org/oss-sec/2015/q4/283

-- Step 5. How to fix
(funct1.c 1798 line)

1798    fprintRTF(keywords);  ===>  fprintRTF("%s", keywords);
Comment 3 Fedora Update System 2016-03-31 01:01:43 EDT
latex2rtf-2.3.10-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8f8696393e
Comment 4 Fedora Update System 2016-03-31 01:13:12 EDT
latex2rtf-2.3.10-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0d0163d5fd
Comment 5 Fedora Update System 2016-03-31 21:20:40 EDT
latex2rtf-2.3.10-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0d0163d5fd
Comment 6 Fedora Update System 2016-03-31 21:20:58 EDT
latex2rtf-2.3.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8f8696393e
Comment 7 Fedora Update System 2016-04-03 13:51:57 EDT
latex2rtf-2.3.10-1.el6.1 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-55f139473e
Comment 8 Fedora Update System 2016-04-06 13:49:03 EDT
latex2rtf-2.3.10-1.el6.1 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-55f139473e
Comment 9 Fedora Update System 2016-04-16 14:54:07 EDT
latex2rtf-2.3.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-04-22 13:25:51 EDT
latex2rtf-2.3.10-1.el6.1 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.